//
//  InterfaceController.swift
//  textInputController_Plain WatchKit Extension
//
//  Created by yoshiyuki oshige on 2015/04/02.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {
    
    // 回答ラベルとOutlet接続する
    @IBOutlet weak var msgLabel: WKInterfaceLabel!
    
    // 応答ボタンとAction接続する
    @IBAction func textInput() {
        // 選択できる語句
        let suggestions = ["了解！", "ありがとう", "う〜ん"]
        // テキストインプットコントローラを表示する
        presentTextInputControllerWithSuggestions(
            suggestions,
            allowedInputMode: WKTextInputMode.Plain,
            completion:{(choice) -> Void in
                // 選ばれた語句を取り出す。Cancelを選ぶとnil
                if let str = choice?.first as? String {
                    self.msgLabel.setText(str)
                }
        })
    }
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // Configure interface objects here.
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
